This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181831 - Review Request: bitbake - Build Tool
Review Request: bitbake - Build Tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-16 18:05 EST by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 23:17:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-02-16 18:05:06 EST
Spec Name or http://helena.bawue.de/~ixs/bitbake/bitbake.spec
SRPM Name or Url: http://helena.bawue.de/~ixs/bitbake/bitbake-1.3.3-1.src.rpm
Description:
BitBake is a simple tool for the execution of tasks. It is derived from
Portage, which is the package management system used by the Gentoo Linux
distribution. It is most commonly used to build packages, and is used as the
basis of the OpenEmbedded project.
Comment 1 Andreas Thienemann 2006-02-16 18:11:26 EST
JFTR: rpmlint complains about some .py scripts not being set to executable. This
makes sense, as not all of these scripts have the #!/usr/bin/python header included.
Comment 2 Michael J Knox 2006-03-07 16:38:59 EST
builds cleanly on FC4. rpmlint shows the issues you have already stated and no
others. Bitbake does recommend pysco, but pysco is not in FCE, perhaps that
should get pulled in at some stage, but is not a show stopper. 

Looks good. 
Comment 3 Andreas Thienemann 2006-03-20 09:54:44 EST
(In reply to comment #2)
> Bitbake does recommend pysco, but pysco is not in FCE, perhaps that
> should get pulled in at some stage, but is not a show stopper. 
psyco is purely optional as it would speed up a bitbake run by optimizing the
python code.
Furthermore psyco runs only on i386 architectures.

> Looks good. 
Thx. If it's okay with you, I'd upload the package into cvs then.
Comment 4 John Mahowald 2006-04-08 16:05:41 EDT
Do not use /usr/%{_lib} when specifying python's site-packages.

Instead, install fedora-rpmdevtools and use fedora-newrpmspec --type python. 
This template has a %python_sitelib macro for this, which evaluates to /usr/lib
on x86_64 for architecture independent packages like this one.
Comment 5 Andreas Thienemann 2006-04-12 23:26:53 EDT
Thx for the advice.

.Spec is cleaned up and at http://home.bawue.de/~ixs/bitbake/
Comment 6 John Mahowald 2006-05-01 12:22:38 EDT
- rpmlint checks return:
E: bitbake non-executable-script /usr/lib/python2.4/site-packages/bb/build.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/parse/parse_py/BBHandler.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/local.py 0644
E: bitbake non-executable-script /usr/lib/python2.4/site-packages/bb/data.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/cvs.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/svn.py 0644
E: bitbake non-executable-script /usr/lib/python2.4/site-packages/bb/event.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/wget.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/parse/parse_py/ConfHandler.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/__init__.py 0644
E: bitbake non-executable-script /usr/lib/python2.4/site-packages/bb/cache.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/parse/parse_py/__init__.py 0644
E: bitbake non-executable-script /usr/lib/python2.4/site-packages/bb/__init__.py
0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/git.py 0644
E: bitbake non-executable-script /usr/lib/python2.4/site-packages/bb/shell.py 0644
E: bitbake non-executable-script
/usr/lib/python2.4/site-packages/bb/fetch/svk.py 0644

Which are ignorable.


- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime

Building html, xhtml, text, and pdf docs seems a bit redundant. You can drop
html if you like.

- no need for .desktop file 

APPROVED
Comment 7 Andreas Thienemann 2006-05-03 23:17:04 EDT
Thx for the review. -> NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.